#ifndef AFF_SEGLOC_H
#define AFF_SEGLOC_H

/* Pour connaitre l'environnemnt choisi 
   (LAAS_ENVIRONMENT ou SPACE_CITY_ENVIRONMENT) */
#include "seglocConst.h"

/**
 ** DIMENSIONS DE L'ENVIRONNEMENT
 **/
#ifdef LAAS_ENVIRONMENT

#define XSIZE 720
#define YSIZE 1100

#define SCALE 0.03		/* scale */
#define OFFSET_X  280    /* XSIZE/2.; */
#define OFFSET_Y   1040   /* YSIZE/1.5 +200; */
#define DIM_Y  YSIZE

#elif defined(SPACE_CITY_ENVIRONMENT)

#define XSIZE 1000
#define YSIZE 1100 /* 910 */

#define SCALE 0.03		/* scale */
#define OFFSET_X  100 /* 440 */    /* XSIZE/2.; */
#define OFFSET_Y  980 /* 740 */  /* YSIZE/1.5 +200; */
#define DIM_Y  YSIZE

#else
# error "LAAS_ENVIRONMENT or SPACE_CITY_ENVIRONMENT ?"
#endif


/**
 ** DIMENSIONS DU ROBOT
 **/

/* Robot rond */
#define ROBOT_RADIUS 0.3
#define ROBOT_RADIUS_M2D (0.45+0.05)

/* Robot rectangulaire */
#define ROBOT_WIDTH   0.8
#define ROBOT_LENGTH  1.4
#define ROBOT_EDGE .2


/**
 ** Variables externes ...
 **/

extern Window win;
extern Display *dpy;
extern GC gc, gcgris;
extern  int screen;

#endif /* AFF_SEGLOC_H */
