#ifndef US_XR4000_COMPAT_H
#define US_XR4000_COMPAT_H

/* Compatibilie avec US */

#if defined(ATRV) || defined(B21R) || defined(JIDO)

#define XR4000_MEASURES_IN_ROBOT_CART_TAB RFLEX_SONARS_CART_MEASURES
#define XR4000_MEASURES_IN_GLOBAL_CART_TAB RFLEX_SONARS_CART_MEASURES
#define xr4000UsMeasureInRobotCartPosterRead rflexSonarsCartMeasureInRobotCartPosterRead

#else /* H2 ou H2BIS */

#define XR4000_MEASURES_IN_ROBOT_CART_TAB US_POINTS_TAB 
#define XR4000_MEASURES_IN_GLOBAL_CART_TAB US_POINTS_TAB 
#define xr4000UsMeasureInRobotCartPosterRead usEchosMeasureInRobotCartSimultPosterRead
#define xr4000UsMeasureInGlobalCartPosterRead usEchosMeasureInGlobalCartSimultPosterRead

#endif

#endif
